<!DOCTYPE html>
<html lang="en">

<head>
	<link rel="stylesheet" type="text/css" href= "/static/stylesheets/index.css">
	<title>Dashboard</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
	<script src="//cdnjs.cloudflare.com/ajax/libs/socket.io/2.2.0/socket.io.js" integrity="sha256-yr4fRk/GU1ehYJPAs8P4JlTgu0Hdsp4ZKrx8bDEDC3I=" crossorigin="anonymous"></script>
</head>

<body class="unselectable">
	<!-- <div class="container-fluid bg-dark text-white" title="title">
		<h1>HEADER</h1>
		<p>TESTESTESTESTESTESTEST</p>
	</div> -->
	<div class="container-fluid" >
		<div class="row" id="main-section">
			<div class="col-md-7 sm-5" id="notification-column">Notifications
				<div class="col" id="notification-container"></div>
			</div>
			<div class="col-md-5 sm-4" id="widget-column">Widgets
				<div class="col" id="widget-container">
					<div class="widget-container" id="weather">
						<div class="widget">
							<div class="weather-row" id="weather-hours">
								<div class="tile-col weather-tile" id="weather-hour0">
									<img src="http://openweathermap.org/img/wn/10d@2x.png" alt="weather">
									<div class="unselectable temp"></div>
									<div class="unselectable rain"></div>
									<div class="unselectable time"></div>
								</div>
								<div class="tile-col weather-tile" id="weather-hour1">
									<img src="http://openweathermap.org/img/wn/02n@2x.png" alt="weather">
									<div class="unselectable temp"></div>
									<div class="unselectable rain"></div>
									<div class="unselectable time"></div>
								</div>
								<div class="tile-col weather-tile" id="weather-hour2">
									<img src="http://openweathermap.org/img/wn/50d@2x.png" alt="weather">
									<div class="unselectable temp"></div>
									<div class="unselectable rain"></div>
									<div class="unselectable time"></div>
								</div>
								<div class="tile-col weather-tile" id="weather-hour3">
									<img src="http://openweathermap.org/img/wn/50d@2x.png" alt="weather">
									<div class="unselectable temp"></div>
									<div class="unselectable rain"></div>
									<div class="unselectable time"></div>
								</div>
							</div>
							<div class="weather-row" id="weather-days">
								<div class="tile-col weather-tile" id="weather-day0">
									<img src="http://openweathermap.org/img/wn/10d@2x.png" alt="weather">
									<div class="unselectable temp-low"></div>
									<div class="unselectable temp-high"></div>
									<div class="unselectable date"></div>
								</div>
								<div class="tile-col weather-tile" id="weather-day1">
									<img src="http://openweathermap.org/img/wn/02n@2x.png" alt="weather">
									<div class="unselectable temp-low"></div>
									<div class="unselectable temp-high"></div>
									<div class="unselectable date"></div>
								</div>
								<div class="tile-col weather-tile" id="weather-day2">
									<img src="http://openweathermap.org/img/wn/50d@2x.png" alt="weather">
									<div class="unselectable temp-low"></div>
									<div class="unselectable temp-high"></div>
									<div class="unselectable date"></div>
								</div>
								<div class="tile-col weather-tile" id="weather-day3">
									<img src="http://openweathermap.org/img/wn/50d@2x.png" alt="weather">
									<div class="unselectable temp-low"></div>
									<div class="unselectable temp-high"></div>
									<div class="unselectable date"></div>
								</div>
							</div>
						</div>
					</div>
					<div class="widget-container" id="monitor">
						<div class="widget">
							<div class="tile-col peripheral" id="proxwirelessheadset">
								<img src="static/images/logitech/proxwirelessheadset.png" alt="headset">
								<div class="unselectable battery"></div>
							</div>
							<div class="tile-col peripheral" id="prowirelessmouse">
								<img src="static/images/logitech/prowirelessmouse.png" alt="headset">
								<div class="unselectable battery"></div>
							</div>
						</div>
					</div>
					<div class="widget-container" id="ping">
						<div class="widget">Ping pong</div>
					</div>
				</div>
			</div>
		</div>
		<div class="row" id="spotify">
			<div class="col-md-7" id="spotify-player-column">
				<div id="spotify-player-container">
					<div class="tile-container" id="spotify-player-row">
						<div class="tile-col tile-fix" id="spotify-player-album-cover"><img src={{web_data.spotify.player.album_cover}} alt="Album cover"></div>
						<div class="tile-col" id="spotify-player-text">
							<h5><div class="one-line expand-text spotify-text unselectable" id="spotify-player-track-name"></div></h5>
							<h6><div class="one-line expand-text spotify-text unselectable" id="spotify-player-artist-name"></div></h6>
							<div class="one-line expand-text spotify-text unselectable" id="spotify-player-album-name"></div>
							<div style="display: flex;">
								<div class="control-col" id="spotify-save">
									<div class="control-hitbox hitbox" id="spotify-control-save" onclick="spotify_save_toggle(this.children[0])">
										<img src="static/images/spotify/save.png" id="spotify-control-save-img"  alt="save">
									</div>
								</div>
								<div class="justify-content-center" id="spotify-controls">
									<div id="spotify-controls-container">
										<div class="control-col" id="spotify-shuffle">
											<div class="control-hitbox hitbox" id="spotify-control-shuffle" onclick="spotify_shuffle_toggle(this.children[0])">
												<img src="static/images/spotify/shuffle_off.png" id="spotify-control-shuffle-img"  alt="shuffle_off">
											</div>
										</div>
										<div class="control-col" id="spotify-previous">
											<div class="control-hitbox hitbox" id="spotify-control-previous" onclick="spotify_control(this.children[0].alt)">
												<img src="static/images/spotify/previous.png" alt="previous">
											</div>
										</div>
										<div class="control-col" id="spotify-play">
											<div class="control-hitbox hitbox" id="spotify-control-pause" onclick="spotify_pause_toggle(this.children[0])">
												<img src="static/images/spotify/play.png" id="spotify-control-pause-img" alt="play">
											</div>
										</div>
										<div class="control-col" id="spotify-next">
											<div class="control-hitbox hitbox" id="spotify-control-next" onclick="spotify_control(this.children[0].alt)">
												<img src="static/images/spotify/next.png" alt="next">
											</div>
										</div>
										<div class="control-col" id="spotify-loop">
											<div class="control-hitbox hitbox" id="spotify-control-loop" onclick="spotify_loop_toggle(this.children[0])">
												<img src="static/images/spotify/loop_off.png" id="spotify-control-loop-img" alt="loop_off">
											</div>
										</div>
									</div>
								</div>
							</div>
						<div class="tile-container" id="spotify-progress">
								<div class="tile-col tile-fix spotify-time" id="spotify-time-left">0:00</div>
								<div class="tile-col hitbox" id="spotify-progress-hitbox">
									<div class="progress" id="spotify-progress-outerbar">
										<div class="progress-bar unselectable" id="spotify-progress-innerbar" role="progressbar" style="width: 0%"></div>
									</div>
								</div>
								<div class="tile-col tile-fix spotify-time" id="spotify-time-right">10:00</div>
							</div>
						</div>
						<div class="tile-col tile-fix" id="spotify-volume">
							<div class="hitbox" id="spotify-volume-hitbox">
								<div class="progress" id="spotify-volume-outerbar">
									<div class="progress-bar unselectable" id="spotify-volume-innerbar" role="progressbar" style="height: 50%"></div>
								</div>
							</div>
							<div class="tile-container" id="spotify-control-mute-row">
								<div class="control-hitbox hitbox" id="spotify-control-mute" onclick="spotify_control(this.children[0].alt)">
									<img src="static/images/spotify/volume_low.png" id="spotify-control-mute-img" alt="toggle_mute">
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="col-md-5" id="spotify-playlist-column">
				<div id="spotify-playlist-container">
					<p>Spotify playlists</p>
				</div>
			</div>
		</div>
	</div>
</body>

<script src="/static/scripts/script.js"></script>
</html>